'From Squeak3.8.2a of ''26 Oct 2007'' [latest update: #6779] on 4 July 2008 at 6:54:31 pm'!


!Color class methodsFor: 'all named colors' stamp: 'spfa 1/22/2007 10:27'!
displayNamedColors

	"Color displayNamedColors"

	| ts |
	ts _ TextStream on: Text new.
	Color colorNames do: [:n | 
		| col aMorph bMorph coloredText aText bText |
		col _ Color perform: n.
		coloredText _ n asText addAttribute: (TextColor color: col).	
		aMorph _ Morph new extent: 100@ (TextStyle defaultFont height); 
						color: col  ; textAnchorType: #inline.
		bMorph _ aMorph veryDeepCopy color: Color black; width: 150; 
						addMorph: (TextMorph new contents: coloredText).
		aText _ (Character value: 1) asText.
		aText addAttribute: (TextAnchor new anchoredMorph: aMorph) from: 1 to: 1.
		bText _ (Character value: 1) asText.
		bText addAttribute: (TextAnchor new anchoredMorph: bMorph) from: 1 to: 1.
		ts nextPutAll: ' ';
		nextPutAll: bText;
		nextPutAll: '   ';
		nextPutAll: aText;
		nextPutAll: ' ', n, ' (';
		nextPutAll: coloredText;
		nextPutAll: ')';
		nextPutAll: String cr asText].

	(Workspace new contents: ts contents) 	openLabel: 'named colors'! !

!Color class methodsFor: 'all named colors' stamp: 'spfa 7/4/2008 18:54'!
initializeNames
	"Name some colors."
	"Color initializeNames"

	ColorNames ifNil: [ColorNames _ OrderedCollection new].

	#(#(#black #(0.0 0.0 0.0)) #(#veryVeryDarkGray #(0.13 0.13 0.13)) #(#veryDarkGray #(0.25 0.25 0.25)) #(#darkGray #(0.38 0.38 0.38)) #(#gray #(0.5 0.5 0.5)) #(#lightGray #(0.62 0.62 0.62)) #(#veryLightGray #(0.75 0.75 0.75)) #(#veryVeryLightGray #(0.87 0.87 0.87)) #(#white #(1.0 1.0 1.0)) #(#red #(1.0 0.0 0.0)) #(#yellow #(1.0 1.0 0.0)) #(#green #(0.0 1.0 0.0)) #(#cyan #(0.0 1.0 1.0)) #(#blue #(0.0 0.0 1.0)) #(#magenta #(1.0 0.0 1.0)) #(#brown #(0.6 0.2 0.0)) #(#orange #(1.0 0.6 0.0)) #(#lightRed #(1.0 0.8 0.8)) #(#lightYellow #(1.0 1.0 0.8)) #(#lightGreen #(0.8 1.0 0.6)) #(#lightCyan #(0.4 1.0 1.0)) #(#lightBlue #(0.8 1.0 1.0)) #(#lightMagenta #(1.0 0.8 1.0)) #(#lightBrown #(1.0 0.6 0.2)) #(#lightOrange #(1.0 0.8 0.4)) #(#transparent #(0.0 0.0 0.0)) #(#paleBuff #(1.0 0.98 0.92)) #(#paleBlue #(0.87 0.98 1.0)) #(#paleYellow #(1.0 1.0 0.85)) #(#paleGreen #(0.87 1.0 0.83)) #(#paleRed #(1.0 0.9 0.9)) #(#veryPaleRed #(1.0 0.95 0.95)) #(#paleTan #(0.92 0.88 0.78)) #(#paleMagenta #(1.0 0.9 1.0)) #(#paleOrange #(0.99 0.93 0.84)) #(#palePeach #(1.0 0.93 0.83)) #(#snow #(1.0 0.98 0.98)) #(#ghostWhite #(0.97 0.97 1.0)) #(#whiteSmoke #(0.96 0.96 0.96)) #(#gainsboro #(0.86 0.86 0.86)) #(#floralWhite #(1.0 0.98 0.94)) #(#oldLace #(0.99 0.96 0.9)) #(#linen #(0.98 0.94 0.9)) #(#antiqueWhite #(0.98 0.92 0.84)) #(#papayaWhip #(1.0 0.94 0.84)) #(#blanchedAlmond #(1.0 0.92 0.8)) #(#bisque #(1.0 0.89 0.77)) #(#peachPuff #(1.0 0.86 0.73)) #(#navajoWhite #(1.0 0.87 0.68)) #(#moccasin #(1.0 0.89 0.71)) #(#cornsilk #(1.0 0.97 0.86)) #(#ivory #(1.0 1.0 0.94)) #(#lemonChiffon #(1.0 0.98 0.8)) #(#seashell #(1.0 0.96 0.93)) #(#honeydew #(0.94 1.0 0.94)) #(#mintCream #(0.96 1.0 0.98)) #(#azure #(0.94 1.0 1.0)) #(#aliceBlue #(0.94 0.97 1.0)) #(#lavender #(0.9 0.9 0.98)) #(#lavenderBlush #(1.0 0.94 0.96)) #(#mistyRose #(1.0 0.89 0.88)) #(#darkSlateGray #(0.18 0.31 0.31)) #(#darkSlateGrey #(0.18 0.31 0.31)) #(#dimGray #(0.41 0.41 0.41)) #(#dimGrey #(0.41 0.41 0.41)) #(#slateGray #(0.44 0.5 0.57)) #(#slateGrey #(0.44 0.5 0.57)) #(#lightSlateGray #(0.47 0.53 0.6)) #(#lightSlateGrey #(0.47 0.53 0.6)) #(#grey #(0.74 0.74 0.74)) #(#lightGrey #(0.83 0.83 0.83)) #(#midnightBlue #(0.1 0.1 0.44)) #(#navy #(0.0 0.0 0.5)) #(#navyBlue #(0.0 0.0 0.5)) #(#cornflowerBlue #(0.39 0.58 0.93)) #(#darkSlateBlue #(0.28 0.24 0.55)) #(#slateBlue #(0.42 0.35 0.8)) #(#mediumSlateBlue #(0.48 0.41 0.93)) #(#lightSlateBlue #(0.52 0.44 1.0)) #(#mediumBlue #(0.0 0.0 0.8)) #(#royalBlue #(0.26 0.41 0.88)) #(#dodgerBlue #(0.12 0.57 1.0)) #(#deepSkyBlue #(0.0 0.75 1.0)) #(#skyBlue #(0.53 0.81 0.92)) #(#lightSkyBlue #(0.53 0.81 0.98)) #(#steelBlue #(0.27 0.51 0.71)) #(#lightSteelBlue #(0.69 0.77 0.87)) #(#powderBlue #(0.69 0.88 0.9)) #(#paleTurquoise #(0.69 0.93 0.93)) #(#darkTurquoise #(0.0 0.81 0.82)) #(#mediumTurquoise #(0.28 0.82 0.8)) #(#turquoise #(0.25 0.88 0.82)) #(#cadetBlue #(0.37 0.62 0.63)) #(#mediumAquamarine #(0.4 0.8 0.67)) #(#aquamarine #(0.5 1.0 0.83)) #(#darkGreen #(0.0 0.39 0.0)) #(#darkOliveGreen #(0.33 0.42 0.18)) #(#darkSeaGreen #(0.56 0.74 0.56)) #(#seaGreen #(0.18 0.55 0.34)) #(#mediumSeaGreen #(0.24 0.7 0.44)) #(#lightSeaGreen #(0.13 0.7 0.67)) #(#springGreen #(0.0 1.0 0.5)) #(#lawnGreen #(0.49 0.99 0.0)) #(#chartreuse #(0.5 1.0 0.0)) #(#mediumSpringGreen #(0.0 0.98 0.6)) #(#greenYellow #(0.68 1.0 0.18)) #(#limeGreen #(0.2 0.8 0.2)) #(#yellowGreen #(0.6 0.8 0.2)) #(#forestGreen #(0.13 0.55 0.13)) #(#oliveDrab #(0.42 0.56 0.14)) #(#darkKhaki #(0.74 0.72 0.42)) #(#khaki #(0.94 0.9 0.55)) #(#paleGoldenrod #(0.93 0.91 0.67)) #(#lightGoldenrodYellow #(0.98 0.98 0.82)) #(#gold #(1.0 0.84 0.0)) #(#lightGoldenrod #(0.93 0.87 0.51)) #(#goldenrod #(0.86 0.65 0.13)) #(#darkGoldenrod #(0.72 0.53 0.04)) #(#rosyBrown #(0.74 0.56 0.56)) #(#indianRed #(0.8 0.36 0.36)) #(#saddleBrown #(0.55 0.27 0.07)) #(#sienna #(0.63 0.32 0.18)) #(#peru #(0.8 0.52 0.25)) #(#burlywood #(0.87 0.72 0.53)) #(#beige #(0.96 0.96 0.86)) #(#wheat #(0.96 0.87 0.7)) #(#sandyBrown #(0.96 0.64 0.38)) #(#tan #(0.8 0.8 0.5)) #(#chocolate #(0.82 0.41 0.12)) #(#firebrick #(0.7 0.13 0.13)) #(#darkSalmon #(0.91 0.59 0.48)) #(#salmon #(0.98 0.5 0.45)) #(#lightSalmon #(1.0 0.63 0.48)) #(#darkOrange #(1.0 0.55 0.0)) #(#coral #(1.0 0.5 0.31)) #(#lightCoral #(0.94 0.5 0.5)) #(#tomato #(1.0 0.39 0.28)) #(#orangeRed #(1.0 0.27 0.0)) #(#hotPink #(1.0 0.41 0.71)) #(#deepPink #(1.0 0.08 0.58)) #(#pink #(1.0 0.75 0.8)) #(#lightPink #(1.0 0.71 0.76)) #(#paleVioletRed #(0.86 0.44 0.58)) #(#maroon #(0.69 0.19 0.38)) #(#mediumVioletRed #(0.78 0.08 0.52)) #(#violetRed #(0.82 0.13 0.57)) #(#violet #(0.93 0.51 0.93)) #(#plum #(0.87 0.63 0.87)) #(#orchid #(0.86 0.44 0.84)) #(#mediumOrchid #(0.73 0.33 0.83)) #(#darkOrchid #(0.6 0.2 0.8)) #(#darkViolet #(0.58 0.0 0.83)) #(#blueViolet #(0.54 0.17 0.89)) #(#purple #(0.63 0.13 0.94)) #(#mediumPurple #(0.58 0.44 0.86)) #(#thistle #(0.85 0.75 0.85)) #(#darkGrey #(0.66 0.66 0.66)) #(#darkBlue #(0.0 0.0 0.55)) #(#darkCyan #(0.0 0.55 0.55)) #(#darkMagenta #(0.55 0.0 0.55)) #(#darkRed #(0.55 0.0 0.0))) 

	do: [:spec |
		(ColorNames includes: spec first) ifFalse: [
			self named: spec first 
				put: (Color perform: #r:g:b: withArguments: spec second)]]
	displayingProgress: 'Initializing named color methods...'.
	! !
